> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Account

GET https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/{account_id}

This endpoint allows you to retrieve a specific account under your franchise.

Reference: https://docs.bigcommerce.com/developer/docs/beta/powered-by/api-reference/accounts/get-account

## Authentication

- `X-Auth-Client` header (required) — The client ID of the franchise API account.
- `X-Auth-Token` header (required) — An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

## Request

### Path parameters

- `account_id` (string, required) — The account ID set when the account was created. Can be retrieved through a `GET` request to `/accounts`.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

Success

- `data` (AccountsAccountIdGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (AccountsAccountIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 401 Unauthorized Error

Unauthorized If a franchise makes a request with a `client_id` and access token that do not belong together or are expired, a 401 Unauthorized Credentials response is returned.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 404 Not Found Error

If the requested account resource is not found for the franchise, return a 404 Not Found.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 502 Bad Gateway Error

Bad Gateway If something happens during the request that causes it to fail, a 502 response is returned. It is possible that there was an issue with the original create account request - submit a new create store request.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 503 Service Unavailable Error

If this occurs, you should retry the request. If you are unable to successfully make a request, please check [the BigCommerce system status](http://status.bigcommerce.com/). A service is likely down and you will need to send the request again when the system is back up.

- `status` (double, optional)
- `title` (string, optional)
- `type` (string, optional)
- `errors` (AccountsAccountIdGetResponsesContentApplicationJsonSchemaErrors, optional)

### 504 Gateway Timeout Error

If this occurs, you should retry the request. Typically retrying the request several times will result in a successful request; However, if you are unable to successfully make a request, please check the BigCommerce system status [here](https://status.bigcommerce.com/). A service is likely down and the request will need to be made again when it is back up (in several hours usually)

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (map from string to string, optional)

## Types

### AccountsAccountIdGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — The external ref ID of the account, as provided by Partner (or if was null, created upon account creation)
- `status` (string, optional) — Account’s current workflow status (Active, Cancelled, etc.)
- `name` (string, optional) — Name of the Company that the Account was created for
- `user_email` (string, optional) — Email address of user who will be the store owner for the account
- `primary_contact` (AccountsAccountIdGetResponsesContentApplicationJsonSchemaDataPrimaryContact, optional) — Primary contact for the Account
- `billing_contact` (AccountsAccountIdGetResponsesContentApplicationJsonSchemaDataBillingContact, optional) — Billing contact information for the Account

### AccountsAccountIdGetResponsesContentApplicationJsonSchemaMeta

### AccountsAccountIdGetResponsesContentApplicationJsonSchemaErrors

### AccountsAccountIdGetResponsesContentApplicationJsonSchemaDataPrimaryContact

Primary contact for the Account

- `first_name` (string, optional) — First name of the primary contact
- `last_name` (string, optional) — Last name of the primary contact
- `address_line_1` (string, optional) — First line of address of primary contact
- `address_line_2` (string, optional) — Second line of address of primary contact (if necessary)
- `email` (string, optional) — Email address of primary contact
- `district` (string, optional) — District (State in US) of primary contact
- `country` (string, optional) — Country of primary contact
- `phone` (string, optional) — Phone number of primary contact
- `city` (string, optional) — City for primary contact
- `postal_code` (string, optional) — Postal / zip code of primary contact

### AccountsAccountIdGetResponsesContentApplicationJsonSchemaDataBillingContact

Billing contact information for the Account

- `first_name` (string, optional) — First name of the billing contact
- `last_name` (string, optional) — Last name of the billing contact
- `address_line_1` (string, optional) — First line of address of billing contact
- `address_line_2` (string, optional) — Second line of address of billing contact (if necessary)
- `email` (string, optional) — Email address of billing contact
- `district` (string, optional) — District (State in US) of billing contact
- `country` (string, optional) — Country of billing contact
- `phone` (string, optional) — Phone number of billing contact
- `city` (string, optional) — City for billing contact
- `postal_code` (string, optional) — Postal / zip code of billing contact

## Examples

**Response**

```json
{
  "data": {
    "id": "12345678910",
    "name": "Test Company",
    "user_email": "test_user@admin.com",
    "primary_contact": {
      "first_name": "Jason",
      "last_name": "Johnson",
      "email": "test@here.org",
      "district": "TX",
      "country": "US",
      "phone": "552-344-2344"
    },
    "billing_contact": {
      "first_name": "Jason",
      "last_name": "Johnson",
      "email": "test@here.org",
      "district": "TX",
      "country": "US",
      "phone": "552-344-2244"
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id"

headers = {
    "Accept": "application/json",
    "X-Auth-Client": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Client': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Client", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Client"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id")
  .header("Accept", "application/json")
  .header("X-Auth-Client", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Client' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Client", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Client": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```